r13603 - /scripts/takeover-for-pkg-perl.sh

dmn at users.alioth.debian.org dmn at users.alioth.debian.org
Sat Jan 26 08:21:21 UTC 2008


Author: dmn
Date: Sat Jan 26 08:21:21 2008
New Revision: 13603

URL: http://svn.debian.org/wsvn/?sc=1&rev=13603
Log:
Do not chdir globally, as we lose relative paths (to trunk) in this case. Add the mail pointer on new line. Require -t <trunk>

Modified:
    scripts/takeover-for-pkg-perl.sh

Modified: scripts/takeover-for-pkg-perl.sh
URL: http://svn.debian.org/wsvn/scripts/takeover-for-pkg-perl.sh?rev=13603&op=diff
==============================================================================
--- scripts/takeover-for-pkg-perl.sh (original)
+++ scripts/takeover-for-pkg-perl.sh Sat Jan 26 08:21:21 2008
@@ -8,11 +8,11 @@
 Usage: $BN [options] package...
 
 Options:
-    -h      show this text
+    -t      (required) Location of checked out SVN trunk
     -s      SVN trunk URL (default $SVN)
-    -t      Location of checked out SVN trunk
     -m      URL to a message in which the previous maintainer requests the
             takeover
+    -h      show this text
 
 <package> is the source package name that we take over of. You may list more
 than one package.
@@ -34,28 +34,38 @@
 done
 shift `expr $OPTIND - 1`
 
+[ -n "$TRUNK" ] || usage
+
 TMP=`mktemp -d`
 
-trap "cd /; rm -rf $TMP" QUIT INT 0
-
-cd $TMP
+trap "rm -rf $TMP" QUIT INT 0
 
 inject_package()
 {
-    apt-get source -d $1
+    cat <<EOF
+***
+*** Taking over $1
+***
+EOF
+    (cd $TMP; apt-get source -d $1)
 
-    svn-inject -l 2 -c0 *.dsc $SVN
+    svn-inject -l 2 -c0 $TMP/*.dsc $SVN
 
     svn up $TRUNK
 
     TXT="Take over for the Debian Perl Group"
     if [ -n "$MAIL" ]; then
-        TXT="$TXT on maintainer's request\n$MAIL"
+        TXT=<<EOF
+$TXT on maintainer's request
+$MAIL
+EOF
     fi
 
     dch -i -c $TRUNK/$1/debian/changelog "$TXT"
 
-    rm *
+    svn ci $TRUNK/$1/debian/changelog -m 'Document the takeover'
+
+    rm $TMP/*
 }
 
 [ -n "${1:-}" ] || usage




More information about the Pkg-perl-cvs-commits mailing list